#pragma once
#include <iostream>
#include <sys/utsname.h>
#include <fstream>
#include <cpr/cpr.h>
#include <json/json.h>
#ifdef __linux__
	#include <agent/linux/agent.h>
	#include <agent/linux/common.h>
	#include <agent/linux/curl.h>
	#include <agent/linux/parse_config_file.h>
	#include <agent/linux/parse_proxy_file.h>
#endif

#include <agent/rotate_logfile.h>
const std::string url = "http://localhost:3001";

int check_update();
bool compare_version(Json::Value*, Agent*, std::string, std::fstream*);
bool copy_zip_file_to_destiny_directory(Json::Value*, std::fstream*, Agent*, boost::filesystem::path);
bool download(Conf, Agent*, Json::Value*, std::fstream*);