#pragma once
#include <cstring>
#include <fstream>
#include <iostream>
#include <string>
#include <boost/asio.hpp>
#include <boost/bind.hpp>
#include <boost/date_time/posix_time/posix_time.hpp>
#include <boost/program_options/parsers.hpp>
#include <boost/program_options/variables_map.hpp>
#include <boost/filesystem/fstream.hpp>
#include <sys/utsname.h>
#include <cpr/cpr.h>

namespace pt = boost::posix_time;
namespace po = boost::program_options;
namespace asio = boost::asio;
namespace pholders = boost::asio::placeholders;
namespace sys = boost::system;
namespace fs = boost::filesystem;

int main(int, char**);
int parse_command_line(int, char*, int*, int*, bool*);
int run_agent(const sys::error_code& /*e*/, pt::ptime, bool);
int set_begin(pt::ptime&, bool);
