/* Copyright (C) 2004-2016 Centro de Computacao Cientifica e Software Livre
 * Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
 *
 * This file is part of simmc-agent
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
 */

#include <agent/windows/inventory.h>

/*******************************
 *          INVENTORY          *
 *******************************/

std::string get_distro() {
    // use dtwinver

    return "unknown";
}

std::string get_processor_model() {
    return "unknown";
}

Json::Value get_inventory() {

    Json::Value inv;

    // os info

    inv["os_type"] = "Windows";
    inv["os_distro"] = get_distro();
    inv["os_kernel"] = "Windows";
    inv["mirror_timestamp"] = "Windows";

    // hw info
    /*
    inv["processor"] =
    inv["memory"] =
    inv["disk1_model"] =
    inv["disk1_size"] =
    inv["disk1_used"] =
    inv["disk2_model"] =
    inv["disk2_size"] =
    inv["disk2_used"] =
    inv["extra_hds"] =
    */

    // other
    /*
    inv["agent_version"] =
    inv["contact_date"] =
    inv["amount_users"] =
    */

    inv["machine_type"] = get_machine_type();
    inv["mac_address"] = get_macaddr();

    return inv;
}
