#pragma once
#include <iostream>
#include <fstream>
#include <boost/filesystem.hpp>
#include <boost/filesystem/path.hpp>
#include <json/json.h>
#include <zlib/zlib.h>
#include <minizip/unzip.h>

class Agent{
    private:
        std::string confDir;
        std::string defaultConf;
        std::string dirInstall;
        std::string logFile;
        std::string message;
        std::string prefix;
        std::string version;
        std::string zipName;

    public:
        void setConfDir(std::string);
        void setDefaultConf(std::string);
        void setDirInstall(std::string);
        void setLogFile(std::string, std::string);
        void setMessage(std::string);
        void setPrefix(std::string, int);
        void setVersion(std::string);
        void setZipName(std::string);

        std::string getConfDir() const;
        std::string getDefaultConf() const;
        std::string getDirInstall() const;
        std::string getLogFile() const;
        std::string getMessage() const;
        std::string getPrefix() const;
        std::string getVersion() const;
        std::string getZipName() const;

        void prefixISet();
    };
