#pragma once
#include <iostream>
#include <sys/utsname.h>
#include <cpr/cpr.h>
#include <json/json.h>
#ifdef __linux__
    #include <agent/linux/inventory.h>
#else
    #include <agent/windows/inventory.h>
#endif

#include <agent/user_history.h>
#include "agent/linux/network_bandwidth.h"

const std::string base_url = "http://localhost:3001";

int send_inventory(bool);
int send_net_bandwidth(bool);
int send_user_history(bool);
