#pragma once
#include <iostream>
#include <fstream>

#ifdef __linux__
    #include <agent/linux/agent.h>
#endif

#include <boost/filesystem.hpp>
#include <json/json.h>

namespace bf = boost::filesystem;

class Rotate{
    private:
        bf::path logDir;
        int numberOfFiles;
        long sizeOfLogfile;
        std::string logfileName;
    public:
        void setLogDir(bf::path);
        void setNumberOfFiles();
        void setSizeOfLogfile(Agent*);
        void setLogfileName(std::string);

        bf::path getLogDir() const;
        int getNumberOfFiles() const;
        long getSizeOfLogfile() const;
        std::string getLogfileName() const;

        void renameFile(Agent*);
        void createLogfile(Agent*, Json::Value*);

        bool logDirIsSet();
};

void rotate_log_file(Agent*, Json::Value*);